package com.neusoft.smart.pos.promotion.persistent.mapper;

import com.neusoft.smart.pos.promotion.persistent.domain.PromotionPayChannel;
import com.neusoft.smart.pos.promotion.persistent.domain.PromotionPayChannelExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PromotionPayChannelMapper {
    int countByExample(PromotionPayChannelExample example);

    int deleteByExample(PromotionPayChannelExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(PromotionPayChannel record);

    int insertSelective(PromotionPayChannel record);

    List<PromotionPayChannel> selectByExample(PromotionPayChannelExample example);

    PromotionPayChannel selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") PromotionPayChannel record, @Param("example") PromotionPayChannelExample example);

    int updateByExample(@Param("record") PromotionPayChannel record, @Param("example") PromotionPayChannelExample example);

    int updateByPrimaryKeySelective(PromotionPayChannel record);

    int updateByPrimaryKey(PromotionPayChannel record);

    void batchInsert(@Param("items") List<PromotionPayChannel> items);
}